package name.panitz.oose.ws17;

public class SnowFlake extends PolygonObject{
  int depth;

  SnowFlake(int depth, Vertex corner, double width, Vertex velocity) {
    super(corner, width, width, velocity);
    this.depth = depth;
    initPolygon();
  }

  @Override
  public String toString() {
    return "new SnowFlake("+depth+",new Vertex"+corner+","+width+",new Vertex"+velocity+")";
  }
  
  void initPolygon() {
    int offset = (int)(height/4.5);
    int y1 = (int)(height)-offset;
    int h = (int)(y1/2);
    int oy = 0;
    drawSnow(depth, offset/2, y1+oy, y1+offset/2, y1+oy);
    drawSnow(depth, y1+offset/2, y1+oy, h+offset/2, oy);
    drawSnow(depth, h+offset/2, oy, offset/2, y1+oy);    
  }

  private void drawSnow(int lev, double x1, double y1, double x5, double y5) {
    //TODO rekursive Funktion für eine Kante implementieren
  }
}